ShapeType (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.xychart.plotitem

## Enum ShapeType

- java.lang.Object
- - java.lang.Enum<ShapeType>
  - - com.twosigma.beakerx.chart.xychart.plotitem.ShapeType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ShapeType>

      public enum ShapeType
      extends java.lang.Enum<ShapeType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CIRCLE`
    `CROSS`
    `DCROSS`
    `DEFAULT`
    `DIAMOND`
    `DOWNTRIANGLE`
    `LEVEL`
    `LINECROSS`
    `SQUARE`
    `TRIANGLE`
    `VLEVEL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ShapeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ShapeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SQUARE

          public static final ShapeType SQUARE

    - #### CIRCLE

          public static final ShapeType CIRCLE

    - #### TRIANGLE

          public static final ShapeType TRIANGLE

    - #### DIAMOND

          public static final ShapeType DIAMOND

    - #### DCROSS

          public static final ShapeType DCROSS

    - #### DOWNTRIANGLE

          public static final ShapeType DOWNTRIANGLE

    - #### CROSS

          public static final ShapeType CROSS

    - #### DEFAULT

          public static final ShapeType DEFAULT

    - #### LEVEL

          public static final ShapeType LEVEL

    - #### VLEVEL

          public static final ShapeType VLEVEL

    - #### LINECROSS

          public static final ShapeType LINECROSS

  - ### Method Detail

    - #### values

          public static ShapeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShapeType c : ShapeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShapeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null